
Figure - Bug #118701
【AF】【EVT3】【Monkey】0608版本Monkey测试12小时后异常停止（4+27个APK）（2）
2023-06-09 10:48 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-09

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0608

Resolution: DUPLICATE Degrated: No

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: Monkey Test Root cause: 与 #118052 是同件问题

Description

【执行命令】

monkey --pkg-blacklist-file /sdcard/blackList.txt --hprof --throttle 500 -s 1234567 --pct-touch 35 --pct-motion 25 --pct-appswitch 30 --pct-pinchzoom

5 --pct-trackball 0 --pct-anyevent 5 --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --ignore-native-crashes

--pct-syskeys 0 -v -v -v 12000000 2>/sdcard/error.txt 1>/sdcard/info.txt

【测试结果】

monkey异常停止，设备进入屏保

History

#1 - 2023-06-09 10:49 - CD TEST-方永红

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118701

#2 - 2023-06-09 14:31 - CD FW 曹覃刚

- Status changed from New to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to DUPLICATE

- Degrated changed from -- to No

- Root cause set to 与 #118052 是同件问题

■ 我的分析

此问题与 #118052 是同件问题，我们将在 #118052 中跟踪处理

surfaceflinger报空指针了，导致系统进程挂了

--------------------

06-08 23:47:46.749 25592 25592 F DEBUG   : * 

06-08 23:47:46.749 25592 25592 F DEBUG   : Build fingerprint: 'HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3854:user/test-keys'

06-08 23:47:46.749 25592 25592 F DEBUG   : Revision: '0'

06-08 23:47:46.749 25592 25592 F DEBUG   : ABI: 'arm64'

06-08 23:47:46.749 25592 25592 F DEBUG   : Timestamp: 2023-06-08 23:47:46.479864911+0800

06-08 23:47:46.749 25592 25592 F DEBUG   : Process uptime: 0s

06-08 23:47:46.749 25592 25592 F DEBUG   : Cmdline: /system/bin/surfaceflinger

06-08 23:47:46.749 25592 25592 F DEBUG   : pid: 909, tid: 909, name: surfaceflinger  >>> /system/bin/surfaceflinger <<<

06-08 23:47:46.749 25592 25592 F DEBUG   : uid: 1000
06-08 23:47:46.749 25592 25592 F DEBUG   : signal 11 (SIGSEGV), code 1 (SEGV_MAPERR), fault addr 0x0

06-08 23:47:46.749 25592 25592 F DEBUG   : Cause: null pointer dereference

06-08 23:47:46.749 25592 25592 F DEBUG   :     x0  b40000746bb54fb0  x1  b4000073bb790678  x2  0000000000000029  x3  0000000000000000

06-08 23:47:46.749 25592 25592 F DEBUG   :     x4  00000075ef1bd024  x5  00000072db74cec0  x6  0000907e0000b67b  x7  0000ac5800009c1d

06-08 23:47:46.749 25592 25592 F DEBUG   :     x8  b40000746bb528d0  x9  00000000000026e0  x10 0000000000000004  x11 0000000000000000

06-08 23:47:46.749 25592 25592 F DEBUG   :     x12 000000000000000e  x13 0000ac440000b531  x14 001dec1bf8fda400  x15 0000000034155555

06-08 23:47:46.749 25592 25592 F DEBUG   :     x16 0000006058f2cd08  x17 00000075eee0fec0  x18 00000075f31d6000  x19 0000000000000000

06-08 23:47:46.750 25592 25592 F DEBUG   :     x20 b4000073bb790678  x21 b40000746bb54fb0  x22 b40000746b7d3e78  x23 00000075f2c76000

06-08 23:47:46.750 25592 25592 F DEBUG   :     x24 0000000000000000  x25 b40000731b7ae5d8  x26 0000000000000001  x27 0000000000002559

06-08 23:47:46.750 25592 25592 F DEBUG   :     x28 00000000000026bd  x29 0000007fddabad20

06-08 23:47:46.750 25592 25592 F DEBUG   :     lr  0000006058a9c8f4  sp  0000007fddabad20  pc  00000075eee0fee0  pst 0000000020001000

06-08 23:47:46.750 25592 25592 F DEBUG   : backtrace:

06-08 23:47:46.750 25592 25592 F DEBUG   :       #00 pc 000000000000eee0  /system/lib64/libutils.so (android::RefBase::decStrong(void const) const+32) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-08 23:47:46.750 25592 25592 F DEBUG   :       #01 pc 000000000015b8f0  /system/bin/surfaceflinger (android::SortedVector<android::sp<android::Layer>

>::do_destroy(void*, unsigned long) const+68) (BuildId: 9e93e9ccd42ba048dfd020375b5b0dd4)

06-08 23:47:46.750 25592 25592 F DEBUG   :       #02 pc 0000000000014be4  /system/lib64/libutils.so (android::VectorImpl::operator=(android::VectorImpl const&)+112)

(BuildId: b940f836006eead456c936e97e64d2d4)

06-08 23:47:46.750 25592 25592 F DEBUG   :       #03 pc 000000000015861c  /system/bin/surfaceflinger (android::Layer::commitChildList()+80) (BuildId:

9e93e9ccd42ba048dfd020375b5b0dd4)

06-08 23:47:46.750 25592 25592 F DEBUG   :       #04 pc 00000000001585f8  /system/bin/surfaceflinger (android::Layer::commitChildList()+44) (BuildId:

9e93e9ccd42ba048dfd020375b5b0dd4)

06-08 23:47:46.750 25592 25592 F DEBUG   :       #05 pc 00000000001585f8  /system/bin/surfaceflinger (android::Layer::commitChildList()+44) (BuildId:

9e93e9ccd42ba048dfd020375b5b0dd4)

06-08 23:47:46.750 25592 25592 F DEBUG   :       #06 pc 00000000001585f8  /system/bin/surfaceflinger (android::Layer::commitChildList()+44) (BuildId:

9e93e9ccd42ba048dfd020375b5b0dd4)

06-08 23:47:46.750 25592 25592 F DEBUG   :       #07 pc 00000000001585f8  /system/bin/surfaceflinger (android::Layer::commitChildList()+44) (BuildId:

9e93e9ccd42ba048dfd020375b5b0dd4)

06-08 23:47:46.750 25592 25592 F DEBUG   :       #08 pc 00000000001585f8  /system/bin/surfaceflinger (android::Layer::commitChildList()+44) (BuildId:

9e93e9ccd42ba048dfd020375b5b0dd4)

06-08 23:47:46.750 25592 25592 F DEBUG   :       #09 pc 000000000019ee28  /system/bin/surfaceflinger (android::SurfaceFlinger::commitTransactionLocked()+500)

(BuildId: 9e93e9ccd42ba048dfd020375b5b0dd4)

06-08 23:47:46.750 25592 25592 F DEBUG   :       #10 pc 000000000019602c  /system/bin/surfaceflinger (android::SurfaceFlinger::onMessageInvalidate(long, long)+7872)

(BuildId: 9e93e9ccd42ba048dfd020375b5b0dd4)

06-08 23:47:46.750 25592 25592 F DEBUG   :       #11 pc 00000000001940e4  /system/bin/surfaceflinger (android::SurfaceFlinger::onMessageReceived(int, long, long)+56)

(BuildId: 9e93e9ccd42ba048dfd020375b5b0dd4)

06-08 23:47:46.750 25592 25592 F DEBUG   :       #12 pc 0000000000017f64  /system/lib64/libutils.so (android::Looper::pollInner(int)+372) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-08 23:47:46.750 25592 25592 F DEBUG   :       #13 pc 0000000000017d84  /system/lib64/libutils.so (android::Looper::pollOnce(int, int*, int*, void**)+116) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-08 23:47:46.750 25592 25592 F DEBUG   :       #14 pc 000000000016f870  /system/bin/surfaceflinger (android::impl::MessageQueue::waitMessage()+88) (BuildId:

9e93e9ccd42ba048dfd020375b5b0dd4)

06-08 23:47:46.750 25592 25592 F DEBUG   :       #15 pc 00000000001891d4  /system/bin/surfaceflinger (android::SurfaceFlinger::run()+100) (BuildId:

9e93e9ccd42ba048dfd020375b5b0dd4)

06-08 23:47:46.750 25592 25592 F DEBUG   :       #16 pc 00000000001d7248  /system/bin/surfaceflinger (main+1640) (BuildId: 9e93e9ccd42ba048dfd020375b5b0dd4)

06-08 23:47:46.750 25592 25592 F DEBUG   :       #17 pc 000000000004a084  /apex/com.android.runtime/lib64/bionic/libc.so (__libc_init+100) (BuildId:

369edc656806aeaf384cbeb8f7a347af)

#3 - 2023-06-10 14:43 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#4 - 2023-06-10 14:43 - CD TEST-方永红
- Status changed from VERIFIED to CLOSED
